set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="mod4.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "CLEAR SCREEN" {} ]

set status [ SclFunction "DRAW STRINGS" {
  frm00089={
    {
      _action="display"
      range1="14,15"
      range2=""
      range3=""
      ifld_num="d1"
      textalignment="<"
      position="First point"
      layer_name="mod4.dtm"
    }
  }
}]

set status [ SclFunction "VIEW BY BEARING" {
  frm00289={
    {
      _action="display"
      bearing="0"
      dip="-15"
    }
  }
}]

set status [ SclFunction "BIFURCATION UNION" {
  frm00459={
    {
      _action="display"
      iobj="1"
      itrisol="1"
    }
  }
  frm00645={
    {
      _action="display"
      theopt="N"
      res_string_no="32000"
    }
  }
  select_point=table { winx winy objectx objecty objectz } {
    { "0.154" "0.253" "5402.354" "10810.423" "982.935" }
    { "0.058" "0.407" "5358.067" "10860.252" "1031.807" }
    { "0.170" "0.377" "5409.735" "10860.162" "1019.823" }
  }
  frm00646={
    {
      _action="display"
      theopt="S"
    }
  }
  frm00647={
    {
      _action="display"
      theopt="S"
    }
  }
}]

set status [ SclFunction "ZOOM ALL" {} ]

set status [ SclFunction "DRAW ALL LAYERS" {} ]

set status [ SclFunction "FILE SAVE" {
  frmsaveFileAs={
    {
      AutoCAD={
        version="Autocad 18"
      }
      _action="display"
      output_file="surpac2dtm:mod4"
      outputExt=".dtm"
      Datamine={
        binary_precision="Single"
      }
      Surpac={
        FileFormat="text"
        ForceValidation="true"
        Purpose=""
        ForceCompatibility="true"
        range=""
      }
      output_type="Surpac DTM Files"
    }
  }
  frmSaveMultipleFiles={
    {
      _action="apply"
    }
  }
}]
puts ""
puts ""
puts "Macro 03b_bifurcation_on model.tcl completed."
puts ""
puts ""
